import { $ } from '../../../../../Class/$';
import { Done } from '../../../../../Class/Functional/Done';
import { Holder } from '../../../../../Class/Holder';
import { System } from '../../../../../system';
import { S } from '../../../../../types/interface/S';
export type I = {
    opt: {
        urls: string[];
    };
    system: S & $;
    stop: any;
};
export type O = {
    url: string;
};
export default class Intercept extends Holder<I, O> {
    private _unlisten;
    constructor(system: System);
    f({ system, opt }: I, done: Done<O>): Promise<void>;
    d(): void;
}
